Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djepJUnit
Class RewriteTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.lsmp.djepJUnit.JepTest
                  org.lsmp.djepJUnit.XJepTest
                      org.lsmp.djepJUnit.DJepTest
                          org.lsmp.djepJUnit.RewriteTest

All Implemented Interfaces:
  junit.framework.Test

    public class RewriteTest

extends DJepTest

Author:
  Rich Morris Created on 19-Nov-2003

Field Summary
`static boolean` | `SHOW_BAD`

Constructor Summary
`RewriteTest(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static junit.framework.Test` | `suite()`
`void` | `testBad()`
`void` | `testMemory()`
`void` | `testRewrite()`
`void` | `testTaylor()`

Methods inherited from class org.lsmp.djepJUnit.DJepTest
`setUp, testAssignDiff, testChainedVaraibles, testDiff`

Methods inherited from class org.lsmp.djepJUnit.XJepTest
`parsePreprocSimp, parseProcSimpEval, simplifyTest, simplifyTestString, testDefine, testFormat, testHex, testLogical, testMacroFun, testPrint, testReentrant, testSimp, testSum, testUndecVar, testVariableReuse, testVarInEqn`

Methods inherited from class org.lsmp.djepJUnit.JepTest
`calcValue, calcValue, complexValueTest, myAssertEquals, myAssertNaN, testAssign, testAssign2, testBinom, testComplex, testDotInName, testFunction, testGood, testIf, testNaN, testNumParam, testSimpleSum, testUndeclared, valueTest, valueTest, valueTest, valueTest, valueTestInt, valueTestNaN`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHOW_BAD

    public static final boolean SHOW_BAD

See Also:
  Constant Field Values

Constructor Detail

### RewriteTest

    public RewriteTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static junit.framework.Test suite()

### testRewrite

    public void testRewrite()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTaylor

    public void testTaylor()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMemory

    public void testMemory()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBad

    public void testBad()
                 throws ParseException

  Overrides:
    `testBad` in class `XJepTest`
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems